Bug 211516 - kernel dm: memory issues cause "failures" when creating many snapshots
kernel dm: memory issues cause "failures" when creating many snapshots
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Milan Broz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-19 15:42 EDT by Corey Marthaler
Modified: 2013-02-28 23:04 EST (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2007-0959
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 14:13:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2006-10-19 15:42:09 EDT
Description of problem:
This is a RHEL5 dup of bz 174834.

I reproduced this issue while attempting to create 32 snapshots.

Version-Release number of selected component (if applicable):
Linux taft-04 2.6.18-1.2726.el5 #1 SMP Wed Oct 11 18:53:39 EDT 2006 x86_64
x86_64 x86_64 GNU/Linux
[root@taft-04 ~]# rpm -q lvm2
lvm2-2.02.12-2.el5
[root@taft-04 ~]# rpm -q device-mapper
device-mapper-1.02.12-2.el5
Comment 1 Milan Broz 2006-10-20 03:58:14 EDT
This will be solved by new dm-io implementation, unfortunately there were some
design changes last days and patches are not stable yet. So first possible
include for RHEL 5.1.
Comment 2 RHEL Product and Program Management 2007-03-21 19:47:12 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 Don Zickus 2007-05-09 14:16:55 EDT
in 2.6.18-18.el5
Comment 8 Corey Marthaler 2007-06-04 17:46:06 EDT
fix verified in 2.6.18-18.el5, created 100 snapshots w/o issue.
Comment 9 Don Zickus 2007-07-13 12:21:20 EDT
changing back to MODIFIED for the errata tool.
QE note comment #8, this bz has already been verified
Comment 13 errata-xmlrpc 2007-11-07 14:13:58 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0959.html

Note You need to log in before you can comment on or make changes to this bug.